/** @file

hippodraw::ListDialog class implementation

Copyright (C) 2004-2006   The Board of Trustees of The Leland Stanford
Junior University.  All Rights Reserved.

$Id: ListDialog.cxx,v 1.9 2006/07/30 15:53:27 pfkeb Exp $

*/

#include "ListDialog.h"

#if QT_VERSION < 0x040000
#include <qlistview.h>
#else
#include <q3listview.h>
#endif

using std::string;

using namespace hippodraw;

// #if QT_VERSION < 0x040000
ListDialog::
ListDialog ( QWidget * parent )
  : ListDialogBase ( parent )
{
}
// #else
// ListDialog::
// ListDialog ( QWidget * parent )
//   : QDialog ( parent )
// {
//   setupUi ( this );
// }
// #endif

void
ListDialog::
setNames ( const std::vector < std::string > & names )
{
  for ( unsigned int i = 0; i < names.size (); i++ ) {
    const string & n = names[i];
    QString name ( n.c_str() );
#if QT_VERSION < 0x040000
    QListViewItem * item 
      = new QListViewItem ( m_tuple_list, 
			    QString ( "%1" ).arg ( i+1 ), 
			    QString ( name ) );
#else
    Q3ListViewItem * item 
      = new Q3ListViewItem ( m_tuple_list, 
			     QString ( "%1" ).arg ( i+1 ), 
			     QString ( name ) );
#endif
    m_item_list.push_back ( item );
  }
#if QT_VERSION < 0x040000
  m_tuple_list -> setSelectionMode ( QListView::Single );
#else
  m_tuple_list -> setSelectionMode ( Q3ListView::Single );
#endif
  m_tuple_list ->setSelected ( m_item_list[0], true );
}

unsigned int
ListDialog::
selectedItem () const
{
  unsigned int index = m_item_list.size(); // one too many
  for ( unsigned int i = 0; i < m_item_list.size(); i++ ) {
#if QT_VERSION < 0x040000
    QListViewItem * item = m_item_list[i];
#else
    Q3ListViewItem * item = m_item_list[i];
#endif
    if ( item -> isSelected () ) {
      index = i;
      break;
    }
  }

  return index;
}

void
ListDialog::
doubleClicked ( )
{
  accept ();
}
