/** @file 

hippodraw::PlotterEvent implementation

Copyright (C) 2003-2006   The Board of Trustees of The Leland Stanford
Junior University.  All Rights Reserved.

$Id: PlotterEvent.cxx,v 1.6 2006/06/13 20:50:28 pfkeb Exp $

*/

#include "PlotterEvent.h"

#if QT_VERSION < 0x040000
#else
//Added by the Qt porting tool:
#include <QtCore/QCustomEvent>
#include <QtCore/QEvent>
#endif

using namespace hippodraw;

PlotterEvent::
PlotterEvent ( PlotterBase * plotter )
  : QCustomEvent ( QEvent::User, plotter )
{
}

PlotterEvent::
PlotterEvent ( const PlotterEvent & event )
  : QCustomEvent ( event )
{
}

PlotterEvent::~PlotterEvent ()
{
}

PlotterBase *
PlotterEvent::
plotter ( ) const
{
  void * pointer = data();

  return reinterpret_cast < PlotterBase * > ( pointer );
}
