/** @file

GlobalSinusoidal2 class implementation

Copyright (C) 2002-2005   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: GlobalSinusoidal2.cxx,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#include "GlobalSinusoidal2.h"
#include "UnaryTransform.h"

using namespace hippodraw;


GlobalSinusoidal2::GlobalSinusoidal2 ( UnaryTransform * z )
  : PeriodicBinaryTransform ( z, true, true, false, true,
			      0.0, +360.0,
			      - 90.0, + 90.0 )
{
  m_name = "GlobalSinusoidal2";
  const std::string projType("GLS");
  double crpix[] = {180, 0}, crval[] = {180,0}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

GlobalSinusoidal2::GlobalSinusoidal2 ( const GlobalSinusoidal2 & t )
  :  PeriodicBinaryTransform ( t )
{
  const std::string projType("GLS");
  double crpix[] = {180, 0}, crval[] = {180,0}, cdelt[] = {1,1};
  initwcs (projType, crpix, crval, cdelt, 0, false);
}

GlobalSinusoidal2::~GlobalSinusoidal2 ()
{
}

#ifdef CLONE_DEFECT
TransformBase * GlobalSinusoidal2::clone () const
#else
GlobalSinusoidal2    * GlobalSinusoidal2::clone () const
#endif
{
  return new GlobalSinusoidal2 ( *this );
}



/* virtual */
double GlobalSinusoidal2::aspectRatio () const
{
  return 2.0;
}



